## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global  commit       d931f05ab30ed44bd5214ff919fdc11005cef055
%global  shortcommit  %(c=%{commit}; echo ${c:0:7})
Name:           gaussianlib
Version:        0^20241209.%{shortcommit}
Release:        %autorelease
Summary:        Basic linear algebra C++ library

License:        BSD-3-Clause
URL:            https://github.com/LukasBanana/GaussianLib
Source:         %{url}/archive/%{commit}/GaussianLib-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildArch:  noarch

%description
GaussianLib - Basic Linear Algebra Library for modern C++
Why GaussianLib?

- Simplicity: GaussianLib has a very simple interface, consists
only of header files (so no pre-compilation or the like is
necessary), and has useful helper classes especially for 2D and
3D applications.

- Flexibility: GaussianLib provides a few macros to fine tune its
behavior. Among others, the library provides either column- or row
vectors, which makes it easier to use the library in different
software environments such as OpenGL and Direct3D.

- Efficiency: GaussianLib provides optimized classes such as
AffineMatrix3 and AffineMatrix4 for heavy use of affine matrix
transformation, which is common in graphics applications.

- Open Source: GaussianLib is licensed under the terms of the
3-Clause BSD License, so you are free to use this software in
private or commercial products without any fees :-)


%package devel
Summary: Header only matrix library
Provides: gaussianlib-static = %{version}-%{release}

%description devel
Header files that provide matrix operations useful
in graphics procesing.
						      
%prep
%autosetup -n GaussianLib-%{commit}


%build
%cmake
%cmake_build


%install
install -Dpm 644 include/Gauss/*.h --target-directory=%{buildroot}%{_includedir}/Gauss

%check
pushd %{__cmake_builddir}
pushd build
./test1
popd
popd

%files devel
%license LICENSE.txt
%doc README.md
%dir %{_includedir}/Gauss
%{_includedir}/Gauss/*.h


%changelog
## START: Generated by rpmautospec
* Sat Jan 04 2025 John Doe <packager@example.com> - 0^20241209.d931f05-1
- Uncommitted changes
## END: Generated by rpmautospec
